# Class FilterOp

java.lang.Object
org.apache.zookeeper.graph.FilterOp

Direct Known Subclasses:
  `AndOp, EqualsOp, GreaterThanOp, LessThanOp, NotOp, OrOp, XorOp`

public abstract class FilterOp extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FilterOp.ArgType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<Arg>`
`args`
`protected List<FilterOp>`
`subOps`

## Constructor Summary

Constructors
Constructor
Description
`FilterOp()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addArg(Arg arg)`
`void`
`addSubOp(FilterOp op)`
`abstract boolean`
`matches(LogEntry entry)`
`static FilterOp`
`newOp(String op)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### subOps

protected List<FilterOp> subOps

### args

protected List<Arg> args

## Constructor Details

### FilterOp

public FilterOp()

## Method Details

### newOp

public static FilterOp newOp(String op) throws FilterException

Throws:
  `FilterException`

### addSubOp

public void addSubOp(FilterOp op)

### addArg

public void addArg(Arg arg)

### matches

public abstract boolean matches(LogEntry entry) throws FilterException

Throws:
  `FilterException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`